function formatSubtypeLabel(label) {    
    label = label.charAt(0).toUpperCase()+label.substr(1, label.length-2)+'('+label.charAt(label.length-1)+')';
    
    return label;
}//formatSubtypeLabel

function disableOptions() {
    $("#hostgroups_type").attr("disabled", "true");
    $("#hosts_type").attr("disabled", "true");
    $("#servicegroups_type").attr("disabled", "true");
    $("#services_type").attr("disabled", "true");    
    
    $("#loader").fadeIn("slow");
}//disableOptions

function enableOptions() {
    $("#hostgroups_type").removeAttr("disabled");
    $("#hosts_type").removeAttr("disabled");
    $("#servicegroups_type").removeAttr("disabled");
    $("#services_type").removeAttr("disabled");
    
    $("#loader").hide();    
    $("#subtype_select").fadeIn("def");
    $("#subtype_label").fadeIn("def");
    $("select").css("border", "1px solid #ccc");    
}//enableOptions

function fillSubtype() {
    disableOptions();    
    $("#subtype_select").remove();
    $("#subtype_label").remove();
    
    subtype_group_checked=$("input[name=report_type]:checked").val();
    //url=subtype_group_checked+'.html';
    urladdress='http://horus/nagios/cgi-bin/avail.cgi?report_type='+subtype_group_checked;
    
    $.ajax({
        type: "GET",
        url: urladdress,
        success: function(data) {
            $("#subtype").append('<label class="label_title" id="subtype_label">'+formatSubtypeLabel(subtype_group_checked)+': </label>');            
            $("#subtype").append('<select id="subtype_select" name="'+subtype_group_checked.substr(0, subtype_group_checked.length-1)+'">');
            
            //Keep elements in background until data load is finished!
            $("#subtype_select").hide();
            $("#subtype_label").hide();
            
            //parse html 
            split_string=subtype_group_checked.substr(0, subtype_group_checked.length-1);
            data = data.split("<select name='"+split_string);
            data = data[1].replace(/\n/g,'');            
            data = data.replace(/'>/g,'=');
            data = data.split("</select>");            
            options = data[0].split("<option value='");            
            
            for (i=1; i<options.length; i++) {
                option=options[i].split('=');
                $("#subtype_select").append('<option value="'+jQuery.trim(option[0])+'">'+option[1]+'</option>');                
            }
            $("#subtype").append("</select>");
        },
        complete: function() {
            enableOptions();            
        },
        error: function() {
            enableOptions();
        }
        });
}//fillSubtype

function fillReportTimePeriod() {
    url="rpttimeperiod.html";
    $.get(url,
          function (data) {
            options=data.split(",");
            
            $("#rpttimeperiod_label").append('<select name="rpttimeperiod" id="rpttimeperiod">');
            for (i in options) {
                if (options[i].length == 0 || options[i] =='') { options[i]="None"; }
                $("select[name=rpttimeperiod]").append('<option value="'+options[i]+'">'+options[i]+'</options>');
            }            
            $("#rpttimeperiod_label").append("</select>");            
    });
}//fillReportTimePeriod

$(document).ready(    
    function() {                
        fillSubtype();
        fillReportTimePeriod();
        
        $("input[name=report_type]").click(
            function() {
                fillSubtype();
        });
        
        $("select[name=timeperiod]").change(
            function() {
                if ($(this).val() == 'custom') {
                    $("#custom_timeperiods").fadeIn("slow");
                } else {
                    $("#custom_timeperiods").fadeOut("slow");
                }
        });

        //Set date fields
        var currentTime = new Date();
        var sevenDaysBefore = new Date(currentTime - (7 * 86400000));
        $("input[name=syear]").val(sevenDaysBefore.getFullYear());
        $("input[name=eyear]").val(currentTime.getFullYear());        
        $("select[name=smon]").val(sevenDaysBefore.getMonth()+1);
        $("select[name=emon]").val(currentTime.getMonth()+1);        
        $("input[name=sday]").val(sevenDaysBefore.getDate());
        $("input[name=eday]").val(currentTime.getDate());
        
        //assign css attribut to input and select elements
        $("select").css("border", "1px solid #ccc");
        $("input[type=text]").css("border", "1px solid #ccc");
});//ready